﻿using igHierarchicalGrid.Models;
using Microsoft.AspNetCore.Mvc;
using Infragistics.Web.Mvc;


namespace igHierarchicalGrid.Controllers
{
    public class HomeController : Controller
    {

        [GridDataSourceAction]
        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),

            };

            return View(viewModel);

            //var customers = GetCustomers();
            //return View(customers.AsQueryable());
        }

        private IEnumerable<Customer> GetCustomers()
        {
            List<Order> orders = new List<Order>();
            Order ord = new Order();
            ord.OrderID = 1;
            ord.ShipName = "Name123";
            ord.ShipAddress = "Address123";
            orders.Add(ord);
            orders.Add(ord);
            return new List<Customer>
            {
                new Customer { CustomerID="1", CompanyName="CompanyName1", ContactName="ContactName1", Address="Addres1", City="City1", Orders=orders},
                new Customer { CustomerID="2", CompanyName="CompanyName2", ContactName="ContactName2", Address="Addres2", City="City2", Orders=orders},
                new Customer { CustomerID="3", CompanyName="CompanyName3", ContactName="ContactName3", Address="Addres3", City="City3", Orders=orders},
                new Customer { CustomerID="4", CompanyName="CompanyName4", ContactName="ContactName4", Address="Addres4", City="City4", Orders=orders},
                new Customer { CustomerID="5", CompanyName="CompanyName5", ContactName="ContactName5", Address="Addres5", City="City5", Orders=orders},
                new Customer { CustomerID="6", CompanyName="CompanyName6", ContactName="ContactName6", Address="Addres6", City="City6", Orders=orders},
            };
        }
    }
}